.w-0{width: 0vw;}
.w-1{width: 10vw;}
.w-2{width: 20vw;}
.w-3{width: 30vw;}
.w-4{width: 40vw;}
.w-5{width: 50vw;}
.w-6{width: 60vw;}
.w-7{width: 70vw;}
.w-8{width: 80vw;}
.w-9{width: 90vw;}
.w-10{width: 100vw;}

.wp-1{width:10%;}
.wp-2{width:20%;}
.wp-3{width:30%;}
.wp-4{width:40%;}
.wp-5{width:50%;}
.wp-6{width:60%;}
.wp-7{width:70%;}
.wp-8{width:80%;}
.wp-9{width:90%;}
.wp-10{width:100%;}

.h-0{height: 0vh;}
.h-1{height: 10vh;}
.h-2{height: 20vh;}
.h-3{height: 30vh;}
.h-4{height: 40vh;}
.h-5{height: 50vh;}
.h-6{height: 60vh;}
.h-7{height: 70vh;}
.h-8{height: 80vh;}
.h-9{height: 90vh;}
.h-10{height: 100vh;}

.fp-0{flex: 0 1 0% !important}
.fp-05{flex: 0 1 5% !important}
.fp-1{flex: 0 1 10% !important}
.fp-15{flex: 0 1 15% !important}
.fp-2{flex: 0 1 20% !important}
.fp-3{flex: 0 1 30% !important}
.fp-4{flex: 0 1 40% !important}
.fp-5{flex: 0 1 50% !important}
.fp-6{flex: 0 1 60% !important}
.fp-7{flex: 0 1 70% !important}
.fp-8{flex: 0 1 80% !important}
.fp-9{flex: 0 1 90% !important}
.fp-10{flex: 0 1 100% !important}

.he-0{height: 0em;}
.he-1{height: 10em;}
.he-2{height: 20em;}
.he-3{height: 30em;}
.he-4{height: 40em;}
.he-5{height: 50em;}
.he-6{height: 60em;}
.he-7{height: 70em;}
.he-8{height: 80em;}
.he-9{height: 90em;}
.he-10{height: 100em;}

.we-0{width: 0em;}
.we-1{width: 10em;}
.we-2{width: 20em;}
.we-3{width: 30em;}
.we-4{width: 40em;}
.we-5{width: 50em;}
.we-6{width: 60em;}
.we-7{width: 70em;}
.we-8{width: 80em;}
.we-9{width: 90em;}
.we-10{width: 100em;}

.mih-0{min-height: 0vh}
.mih-1{min-height: 10vh}
.mih-2{min-height: 20vh}
.mih-3{min-height: 30vh}
.mih-4{min-height: 40vh}
.mih-5{min-height: 50vh}
.mih-6{min-height: 60vh}
.mih-7{min-height: 70vh}
.mih-8{min-height: 80vh}
.mih-9{min-height: 90vh}
.mih-10{min-height: 100vh}

.miw-0{min-width: 0vw;}
.miw-1{min-width: 10vw;}
.miw-2{min-width: 20vw;}
.miw-3{min-width: 30vw;}
.miw-4{min-width: 40vw;}
.miw-5{min-width: 50vw;}
.miw-6{min-width: 60vw;}
.miw-7{min-width: 70vw;}
.miw-8{min-width: 80vw;}
.miw-9{min-width: 90vw;}
.miw-10{min-width: 100vw;}

.c-white{color: white}

.deg-0{transform: rotate(0deg);}
.deg-1{transform: rotate(45deg);}
.deg-2{transform: rotate(90deg);}
.deg-3{transform: rotate(135deg);}
.deg-4{transform: rotate(180deg);}
.deg-5{transform: rotate(225deg);}
.deg-6{transform: rotate(270deg);}
.deg-7{transform: rotate(315deg);}
.deg-8{transform: rotate(360deg);}

.t-left{text-align: left;}
.t-center{text-align: center;}
.t-right{text-align: right;}

.pointer{cursor: pointer}

.left{float: left;}
.right{float: right;}
.centered{margin: auto;}
.centered-t{display: block;text-align: center;}

.active{color: lightblue;}

.padded{padding: 15px;}
.top-padded{padding-top: 15px;}
.top-padded-25px{padding-top: 25px;}
.top-padded-2{padding-top: 20vh;}
.top-margin-2{margin-top: 20vh;}
.top-margin{margin-top: 15px};
.margin{margin:15px;}
/* .spaced{margin-left: 5px;margin-right: 5px;} */

.inline-block {display: inline-block;}
.inline{display: inline;}

.relative{position: relative;}
.fixed{position: fixed;}
.absolute{position: absolute;}

.rounded{border-radius: 7px;}
.rounded-left{border-radius: 7px 0px 0px 7px;}
.rounded-right{border-radius: 0px 7px 7px 0px;}
.no-rounded{border-radius: 0px;}

.circle {border-radius: 50%;}
.circle-left{border-top-left-radius: 50vh; border-bottom-left-radius: 50vh;}
.circle-right{border-top-right-radius: 50vh; border-bottom-right-radius: 50vh;}

.middle{line-height: 100%;height: 100%;}

/* margin presets */
.styled{margin: 20px 5px 20px 5px;}
.padded{padding: 1vw;}
.spaced{padding-top: 1vh; padding-bottom: 1vh;}
.spaced-before{margin-top: 15px;}
.spaced-after{margin-bottom: 25px;}
.spaced-left{margin-left: 5px;}
.spaced-right{margin-right: 5px;}

/* shadow presets */
.shadow{box-shadow: 2px 6px 10px rgba(0, 0, 0, 0.2);}

/* box presets */
.b-top{margin-top: 10vh; margin-bottom: 55vh;}
.b-right{margin-left: 58.3vw; margin-right: 1.7vw;}
.b-left{margin-left: 1.7vw; margin-right: 58.3vw;}
.b-bottom{margin-top: 63.5vh; margin-bottom: 2.5vh;}

/* sizes */
.text{padding: 5px; display: inline-block;}
.text-sm{font-size: 17px;}
.text-md{font-size: 24px;}
.text-lg{font-size: 33px;}

.btn-ico-sm{width: 30px; height: 30px; line-height: 30px; font-size: 17px;}
.btn-ico-md{width: 45px; height: 45px; line-height: 45px; font-size: 22px;}
.btn-ico-lg{width: 60px; height: 60px; line-height: 60px; font-size: 33px;}

.btn-spaced{margin: 7px;}

.height-sm{height: 30px;}
.height-md{height: 45px;}
.height-lg{height: 60px;}

.box-bg{background: linear-gradient(to left, #bbd1e2, #c7e4eb);}
/* .box-bg{background: linear-gradient(to left, #bbd1e2, #eef2f3);} */

.clr {clear:both;}

.full-parent{width: 100%; height: 100%;}

.middle-div {padding-top: 25vh;}

.hidden{display: none;}

.clearfix{overflow: auto;}

.btn-rm{background-color: #f74949b7;}
.btn-rm:hover{background-color: #fa5c5c;}

.btn-add{background-color: #42a64abd;}
.btn-add:hover{background-color: #42a64b;}

.pointer{cursor: pointer;}